POST api/medistreamprogramsteptypeapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
MediStreamProgramStepTypeViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| code | integer |
Required |
|
| name | string |
Required |
|
| active | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "1ccda955-c72e-45e3-85d8-6ab7f951ef2d",
"code": 2,
"name": "sample string 3",
"active": true
}
application/xml, text/xml
Sample:
<medistream_program_step_type xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <id>1ccda955-c72e-45e3-85d8-6ab7f951ef2d</id> <name>sample string 3</name> </medistream_program_step_type>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"377f3a1f-2e97-430f-9d61-295be0073235"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">377f3a1f-2e97-430f-9d61-295be0073235</guid>